<?php
include_once '../../controllers/MateriaController.php';

$materiaController = new MateriaController();

if (isset($_GET['carrera_id'])) {
    $carrera_id = $_GET['carrera_id'];

    // Obtener materias por carrera
    $materias = $materiaController->listarMateriasPorCarrera($carrera_id);

    header('Content-Type: application/json');
    echo json_encode(['materias' => $materias]);
} else {
    echo json_encode(['error' => 'No carrera_id provided']);
}
?>
